API DocumentationManufacturer production step controller

Get production steps with filtering

GET
/api/manufacturer/v1/production-step/paginated

Retrieves a paginated list of production steps with optional filtering and search using RSQL

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

filter*string

RSQL query string for filtering (e.g. paymentStatus=in=(PAID,UNPAID);price>10)

page?integer

Zero-based page index (0..N)

size?integer

The size of the page to be returned

sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

search?string

Optional search term

Response Body

application/json

curl -X GET "https://example.com/api/manufacturer/v1/production-step/paginated?filter=string"
{  "content": [    null  ],  "totalElements": 0,  "totalPages": 0,  "pageNumber": 0,  "pageSize": 0,  "isEmpty": true,  "isFirst": true,  "isLast": true}
Empty

Last updated on